import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@coral-xyz/anchor";
import { Staking } from "../artifacts/staking";
export type WithdrawDelayParams = {
    accounts: {
        user: PublicKey;
    };
    inputs: {
        index: number;
    };
};
export declare function withdrawDelay(program: Program<Staking>, params: WithdrawDelayParams): Promise<Instruction>;
