import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@coral-xyz/anchor";
import { Staking } from "../artifacts/staking";
import BN from "bn.js";
export type WithdrawParams = {
    accounts: {
        user: PublicKey;
    };
    inputs: {
        withdrawPositionBump: number;
        index: number;
        amount: BN;
    };
};
export declare function withdraw(program: Program<Staking>, params: WithdrawParams): Promise<Instruction>;
