import { TransactionBuilder, Instruction } from "@orca-so/common-sdk";
import { Context } from "./context";
import * as ixs from "./instructions";
export declare class Methods {
    ctx: Context;
    ix: Instruction | null | undefined;
    constructor(ctx: Context, ix?: Instruction);
    initFlexibleAccount(params: ixs.InitFlexibleAccountParams): Promise<this>;
    stake(params: ixs.StakeParams): Promise<this>;
    withdraw(params: ixs.WithdrawParams): Promise<this>;
    withdrawDelay(params: ixs.WithdrawDelayParams): Promise<this>;
    claim(params: ixs.ClaimParams): Promise<this>;
    lockup(params: ixs.LockupParams): Promise<this>;
    unlock(params: ixs.UnlockParams): Promise<this>;
    toTx(): TransactionBuilder;
}
